Bug 132007 - [maintainer-update] update biology/fasta3
Summary: [maintainer-update] update biology/fasta3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-23 14:10 UTC by Fernan Aguero
Modified: 2009-02-23 16:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fernan Aguero 2009-02-23 14:10:04 UTC
	<precise description of the problem (multiple lines)>

	Update fasta3 to the latest release

Fix: <how to correct or work around the problem, if known (multiple lines)>





-- 
fernan--FpuD78CypGoxBiewmnMQEFhb8SIqMJMcyt03dXL9Hj6iIidX
Content-Type: text/plain; name="fasta3.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="fasta3.diff"

diff -ruN --exclude CVS /usr/ports/biology/fasta3/Makefile fasta3/Makefile
--- /usr/ports/biology/fasta3/Makefile	2008-04-17 09:50:40.000000000 -0300
+++ fasta3/Makefile	2009-02-23 11:03:04.000000000 -0300
@@ -7,7 +7,7 @@
 #

 PORTNAME=	fasta3
-PORTVERSION=	35.3.6
+PORTVERSION=	35.4.4
 CATEGORIES=	biology
 MASTER_SITES=	http://faculty.virginia.edu/wrpearson/fasta/fasta3/
 DISTNAME=	fasta-${PORTVERSION}
@@ -17,6 +17,8 @@

 NO_CDROM=	May not be sold or incorporated into a commercial product
 WRKSRC=		${WRKDIR}/${DISTNAME}
+BUILD_WRKSRC=	${WRKSRC}/src
+INSTALL_WRKSRC=	${BUILD_WRKSRC}
 SUB_FILES=	pkg-message
 MAKEFILE=	Makefile.freebsd

@@ -26,19 +28,26 @@
 MAKE_ENV+=	THR_LIBS=${PTHREAD_LIBS} XDIR=${XDIR} \
 		FASTA_HOST='"${FASTA_HOST}"'

-FASTA3_DOCS=	README COPYRIGHT FASTA_LIST fasta3x.me fasta3x.doc \
-		fasta20.doc fasta_func.doc readme.* fasta.defaults
-DATA=		*.mat
-EXAMPLES=	*.aa *.lc *.seq
-
-MAN1=		fasta3.1 fastf3.1 fasts3.1 map_db.1 prss3.1
-MLINKS=		fasta3.1 tfasta3.1 fasta3.1 fastx3.1  fasta3.1 tfastx3.1  \
-		fasta3.1 fasty3.1  fasta3.1 tfasty3.1 fasta3.1 ssearch3.1 \
-		fastf3.1 tfastf3.1 fasts3.1 tfasts3.1
+FASTA3_DOCS=	README.versions fasta3x.me fasta3x.doc \
+		fasta20.doc fasta_func.doc readme.* fasta.defaults \
+		fasta.options fasta_versions.html changes*.html
+DATA=		data/*.mat
+EXAMPLES=	seq/*.aa seq/*.lc seq/*.seq seq/*.lib
+
+MAN1=		fasta35.1 fastf3.1 fasts3.1 map_db.1 prss3.1 ps_lav.1 \
+		pvcomp.1
+MLINKS=		fasta35.1 tfasta35.1 fasta35.1 fastx35.1 fasta35.1 tfastx35.1  \
+		fasta35.1 fasty35.1  fasta35.1 tfasty35.1 fasta35.1 ssearch35.1 \
+		fasta35.1 fastf35.1 fasta35.1 fasts35.1 fasta35.1 tfasts35.1 \
+		fasta35.1 fastm35.1 fasta35.1 fastf35.1 fasta35.1 ggsearch35.1 \
+		fasta35.1 lalign35.1 fasta35.1 prss35.1 fasta35.1 prfx35.1
 PLIST_SUB=	VER=${PORTVERSION:R:R}

+post-patch:
+	@ ${CP} ${WRKSRC}/make/${MAKEFILE} ${BUILD_WRKSRC}/
 post-install:
-	${INSTALL_DATA} ${WRKSRC}/fastlibs ${PREFIX}/etc/fastlibs.sample
+	${INSTALL_PROGRAM} ${WRKSRC}/bin/* ${PREFIX}/bin/
+	${INSTALL_DATA} ${WRKSRC}/conf/fastlibs ${PREFIX}/etc/fastlibs.sample
 	@ ${MKDIR} ${DATADIR}
 .for data in ${DATA}
 	${INSTALL_DATA} ${WRKSRC}/${data} ${DATADIR}
@@ -48,12 +57,15 @@
 	${INSTALL_DATA} ${WRKSRC}/${ex} ${EXAMPLESDIR}
 .endfor
 .for manpage in ${MAN1}
-	@ ${INSTALL_MAN} ${WRKSRC}/${manpage} ${MAN1PREFIX}/man/man1/
+	@ ${INSTALL_MAN} ${WRKSRC}/doc/${manpage} ${MAN1PREFIX}/man/man1/
 .endfor
 .if !defined(NOPORTDOCS)
 	@ ${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/COPYRIGHT ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/FASTA_LIST ${DOCSDIR}
 .for docfile in ${FASTA3_DOCS}
-	@ ${INSTALL_DATA} ${WRKSRC}/${docfile} ${DOCSDIR}
+	@ ${INSTALL_DATA} ${WRKSRC}/doc/${docfile} ${DOCSDIR}
 .endfor
 .endif
 	@ ${CAT} ${PKGMESSAGE}
diff -ruN --exclude CVS /usr/ports/biology/fasta3/distinfo fasta3/distinfo
--- /usr/ports/biology/fasta3/distinfo	2008-04-17 09:50:40.000000000 -0300
+++ fasta3/distinfo	2009-02-22 23:27:01.000000000 -0300
@@ -1,3 +1,3 @@
-MD5 (fasta-35.3.6.tar.gz) = d324f94fc90a78e7d0c8d97bacdd448a
-SHA256 (fasta-35.3.6.tar.gz) =
4525232e2a1a42388921760d75c5ece6e058d9ce2c35cba074ce544d6e56df15
-SIZE (fasta-35.3.6.tar.gz) = 614606
+MD5 (fasta-35.4.4.tar.gz) = a96d498fc548c8b65b07f13b9548a36d
+SHA256 (fasta-35.4.4.tar.gz) =
744911dd6524e57f63c32d76016bd071e16b7c39c34277b2a4d79a601e74d258
+SIZE (fasta-35.4.4.tar.gz) = 612851
diff -ruN --exclude CVS
/usr/ports/biology/fasta3/files/patch-Makefile.pcom
fasta3/files/patch-Makefile.pcom
--- /usr/ports/biology/fasta3/files/patch-Makefile.pcom	1969-12-31
21:00:00.000000000 -0300
+++ fasta3/files/patch-Makefile.pcom	2009-02-22 23:57:42.000000000 -0300
@@ -0,0 +1,11 @@
+--- make/Makefile.pcom.orig	2009-02-22 23:56:26.000000000 -0300
++++ make/Makefile.pcom	2009-02-22 23:57:17.000000000 -0300
+@@ -42,7 +42,7 @@
+ 	rm -f *.o $(PROGS) $(APROGS); 	rm -rf $(BIN)/*
+
+ install: $(PROGS)
+-	pushd $(BIN); cp $(PROGS)  $(XDIR); popd
++	cd $(BIN); cp $(PROGS) $(XDIR); cd ../src
+
+ uinstall: $(PROGS)
+ 	pushd $(BIN); mv $(PROGS)  $(UDIR); popd
diff -ruN --exclude CVS /usr/ports/biology/fasta3/pkg-plist fasta3/pkg-plist
--- /usr/ports/biology/fasta3/pkg-plist	2008-04-17 09:50:40.000000000 -0300
+++ fasta3/pkg-plist	2009-02-23 11:05:40.000000000 -0300
@@ -17,6 +17,7 @@
 bin/lalign%%VER%%
 bin/lav2ps
 bin/lav2svg
+bin/map_db
 bin/ssearch%%VER%%
 bin/ssearch%%VER%%_t
 bin/tfastf%%VER%%
@@ -32,6 +33,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
 %%PORTDOCS%%%%DOCSDIR%%/FASTA_LIST
+%%PORTDOCS%%%%DOCSDIR%%/README.versions
 %%PORTDOCS%%%%DOCSDIR%%/fasta3x.me
 %%PORTDOCS%%%%DOCSDIR%%/fasta3x.doc
 %%PORTDOCS%%%%DOCSDIR%%/fasta20.doc
@@ -51,25 +53,21 @@
 %%PORTDOCS%%%%DOCSDIR%%/readme.v35
 %%PORTDOCS%%%%DOCSDIR%%/readme.w32
 %%PORTDOCS%%%%DOCSDIR%%/fasta.defaults
-%%EXAMPLESDIR%%/bovgh.seq
-%%EXAMPLESDIR%%/bovprl.seq
+%%PORTDOCS%%%%DOCSDIR%%/fasta.options
+%%PORTDOCS%%%%DOCSDIR%%/fasta_versions.html
+%%PORTDOCS%%%%DOCSDIR%%/changes_v34.html
+%%PORTDOCS%%%%DOCSDIR%%/changes_v35.html
 %%EXAMPLESDIR%%/egmsmg.aa
-%%EXAMPLESDIR%%/gst.seq
 %%EXAMPLESDIR%%/gstt1_drome.aa
 %%EXAMPLESDIR%%/gtm1_human.aa
 %%EXAMPLESDIR%%/gtt1_drome.aa
 %%EXAMPLESDIR%%/h10_human.aa
 %%EXAMPLESDIR%%/hahu.aa
-%%EXAMPLESDIR%%/hsgstm1b.seq
-%%EXAMPLESDIR%%/humgstd.seq
 %%EXAMPLESDIR%%/lcbo.aa
 %%EXAMPLESDIR%%/m1r.aa
 %%EXAMPLESDIR%%/m2.aa
 %%EXAMPLESDIR%%/mchu.aa
 %%EXAMPLESDIR%%/mgstm1.aa
-%%EXAMPLESDIR%%/mgstm1.lc
-%%EXAMPLESDIR%%/mgstm1.seq
-%%EXAMPLESDIR%%/mgtt2_x.seq
 %%EXAMPLESDIR%%/ms1.aa
 %%EXAMPLESDIR%%/musplfm.aa
 %%EXAMPLESDIR%%/mwkw.aa
@@ -86,10 +84,22 @@
 %%EXAMPLESDIR%%/prio_atepa.aa
 %%EXAMPLESDIR%%/qrhuld.aa
 %%EXAMPLESDIR%%/titin_hum.aa
-%%EXAMPLESDIR%%/titin_hum.seq
 %%EXAMPLESDIR%%/xurt8c.aa
-%%EXAMPLESDIR%%/xurt8c.lc
 %%EXAMPLESDIR%%/xurtg.aa
+%%EXAMPLESDIR%%/mgstm1.lc
+%%EXAMPLESDIR%%/xurt8c.lc
+%%EXAMPLESDIR%%/bovgh.seq
+%%EXAMPLESDIR%%/bovprl.seq
+%%EXAMPLESDIR%%/gst.seq
+%%EXAMPLESDIR%%/hsgstm1b.seq
+%%EXAMPLESDIR%%/humgstd.seq
+%%EXAMPLESDIR%%/mgstm1.seq
+%%EXAMPLESDIR%%/mgtt2_x.seq
+%%EXAMPLESDIR%%/titin_hum.seq
+%%EXAMPLESDIR%%/mu.lib
+%%EXAMPLESDIR%%/n2_fs.lib
+%%EXAMPLESDIR%%/n_fs.lib
+%%EXAMPLESDIR%%/prot_test.lib
 %%DATADIR%%/blosum45.mat
 %%DATADIR%%/blosum50.mat
 %%DATADIR%%/blosum62.mat
How-To-Repeat: 	<code/input/activities to reproduce the problem (multiple lines)>
Comment 1 Dmitry Marakasov freebsd_committer 2009-02-23 15:55:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-02-23 16:12:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2009-02-23 16:12:39 UTC
amdmi3      2009-02-23 16:12:23 UTC

  FreeBSD ports repository

  Modified files:
    biology/fasta3       Makefile distinfo pkg-plist 
  Log:
  - Update to 35.4.4
  
  PR:             132007
  Submitted by:   Fernan Aguero <fernan at iib dot unsam dot edu dot ar> (maintainer)
  
  Revision  Changes    Path
  1.24      +25 -13    ports/biology/fasta3/Makefile
  1.19      +3 -3      ports/biology/fasta3/distinfo
  1.6       +20 -10    ports/biology/fasta3/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"